import request from '@/utils/request'
// 获取查询老师-班级 列表 formal:class:list
export function getclassListFn(data) {
  return request({
    'url': '/formal/class/list',
    'method': 'get',
	'data':data
  })
}
// 老师-班级详情 formal:class:list
export function getclassDetFn(data) {
  return request({
    'url': '/formal/class/'+data,
    'method': 'get',
  })
}
// 老师-班级新增 formal:class:add
export function getclassAddFn(data) {
  return request({
    'url': '/formal/class',
    'method': 'post',
	'data':data
  })
}
// 老师-班级修改 formal:class:edit
export function getclassPutFn(data) {
  return request({
    'url': '/formal/class/put',
    'method': 'post',
	'data':data
  })
}
//删除老师-班级formal/class:remove
export function getclassDelFn(data) {
  return request({
    'url': '/formal/class/delete/'+data,
    'method': 'get',
  })
}