import request from '@/utils/request'
// 学生档案信息 student:info:list
export function getstuCountFn(data) {
  return request({
    'url': '/student/info/statistics',
    'method': 'get',
	'data':data
  })
}

// 学生档案信息 student:info:list
export function getstuListFn(data) {
  return request({
    'url': '/student/info/list',
    'method': 'get',
	'data':data
  })
}
// 学生档案信息详情 student:info:query
export function getstuDetFn(data) {
  return request({
    'url': '/student/info/'+data,
    'method': 'get',
  })
}
// 新增学生档案信息 student:info:add
export function getstuAddtFn(data) {
  return request({
    'url': '/student/info',
    'method': 'post',
	'data':data
  })
}
//修改学生档案信息 student:info:edit
export function getstuPutFn(data) {
  return request({
    'url': '/student/info/put',
    'method': 'post',
	'data':data
  })
}
//删除学生档案信息 student:info:remove
export function getstuDelFn(data) {
  return request({
    'url': '/student/info/delete/'+data,
    'method': 'get',
  })
}


// 老师档案信息 teacher:info:list
export function getteaListFn(data) {
  return request({
    'url': '/teacher/info/list',
    'method': 'get',
	'data':data
  })
}
// 老师档案信息详情 teacher:info:query
export function getteaDetFn(data) {
  return request({
    'url': '/teacher/info/'+data,
    'method': 'get',
  })
}
// 新增老师档案信息 teacher:info:add
export function getteaAddtFn(data) {
  return request({
    'url': '/teacher/info',
    'method': 'post',
	'data':data
  })
}
//修改老师档案信息 teacher:info:edit
export function getteaPutFn(data) {
  return request({
    'url': '/teacher/info/put',
    'method': 'post',
	'data':data
  })
}
//删除老师档案信息 teacher:info:remove
export function getteaDelFn(data) {
  return request({
    'url': '/teacher/info/delete/'+data,
    'method': 'get',
  })
}

// echarts student/old/echarts
export function getoldechFn(data) {
  return request({
    'url': '/student/old/echarts',
    'method': 'get',
	data:data
  })
}
// 历史信息
export function getoldlistFn(data) {
  return request({
    'url': '/student/old/list',
    'method': 'get',
	data:data
  })
}

//班级学生信息
export function getstunoListFn(data) {
  return request({
    'url': '/system/student/noPage/list',
    'method': 'get',
	data:data
  })
}
//老师信息
export function getteanoListFn(data) {
  return request({
    'url': '/formal/class/noPage/list',
    'method': 'get',
	data:data
  })
}

//心理健康-新增学生信息mind:old:add
export function getmindAddFn(data) {
  return request({
    'url': '/mind/old',
    'method': 'post',
	data:data
  })
}
//心理健康-历史信息mind:old:list
export function getmindListFn(data) {
  return request({
    'url': '/mind/old/list',
    'method': 'get',
	data:data
  })
}
//心理健康-删除学生信息mind:old:add
export function getmindDelFn(data) {
  return request({
    'url': '/mind/old/delete/'+data,
    'method': 'get',
  })
}

//身高体重-新增学生信息live:old:add
export function getliveAddFn(data) {
  return request({
    'url': '/live/old',
    'method': 'post',
	data:data
  })
}
//身高体重-历史信息live:old:list
export function getliveListFn(data) {
  return request({
    'url': '/live/old/list',
    'method': 'get',
	data:data
  })
}
//身高体重-删除学生信息live:old:add
export function getliveDelFn(data) {
  return request({
    'url': '/live/old/delete/'+data,
    'method': 'get',
  })
}

//请假-新增system:leave:add
export function getleaveAddFn(data) {
  return request({
    'url': '/record/leave',
    'method': 'post',
	data:data
  })
}
//请假-历史信息system:leave:list
export function getleaveListFn(data) {
  return request({
    'url': '/record/leave/list',
    'method': 'get',
	data:data
  })
}

//请假-删除学生信息system:leave:list
export function getleaveDelFn(data) {
  return request({
    'url': '/system/leave/'+data,
    'method': 'get',
  })
}