import request from '@/utils/request'
// 食谱信息列表 system:recipe:list
export function getRecipelistFn(data) {
  return request({
    'url': '/system/recipe/list',
    'method': 'get',
	'data':data
  })
}
// 新增食谱信息 system:recipe:add
export function getRecipeAddFn(data) {
  return request({
    'url': '/system/recipe',
    'method': 'post',
	'data':data
  })
}
// 删除食谱信息 system:recipe:remove
export function getRecipedelFn(data) {
  return request({
    'url': '/system/recipe/delete/'+data,
    'method': 'get',
  })
}
// 修改食谱信息 system:recipe:edit
export function getRecipeEditFn(data) {
  return request({
    'url': '/system/recipe/put',
    'method': 'post',
	'data':data
  })
}
//食谱详情 system:recipe:query
export function getRecipedetaFn(data) {
  return request({
    'url': '/system/recipe/'+data,
    'method': 'get',
  })
}