import request from '@/utils/request'
//根据教职工手机号查询可预约的时间
export function getSubscribe(data) {
  return request({
    'url': '/system/reservat/subscribe',
    'method': 'post',
	'data':data
  })
}

//新增预约
export function getReservatAdd(data) {
  return request({
    'url': '/system/reservat',
    'method': 'post',
	'data':data
  })
}
//预约审核列表 system:reservat:add
export function getReservatList(data) {
  return request({
    'url': '/system/reservat/list',
    'method': 'get',
	'data':data
  })
}
//删除预约 system:reservat:remove
export function getReservatDel(data) {
  return request({
    'url': '/system/reservat/delete/'+data,
    'method': 'get',
  })
}
//预约审核 system:reservat:sh
export function getReservatSh(data) {
  return request({
    'url': '/system/reservat/sh',
    'method': 'post',
	'data':data
  })
}

