import request from '@/utils/request'


// 字典值yzdqId
export function getDictionaryFn(data) {
  return request({
    url: '/system/dict/data/type/'+data,
    method: 'get',
	type:true
  })
}
// 科目 未登录 system/dict/data/type
export function getSystemType(data) {
  return request({
    'url': '/system/dict/data/type',
    'method': 'get',
	'data':data
  })
}
// 参数设置
export function getconfigKeyFn(data) {
  return request({
    url: '/system/config/scoreWatermark/'+data,
    method: 'get',
	type:true
  })
}
// 审核audit:shyj:add
export function getshyjFn(data) {
  return request({
    'url': '/audit/shyj',
    'method': 'post',
	'data':data
  })
}
//注册查询register:school:add
export function getqueryFn(data) {
  return request({
    'url': '/register/school/query',
    'method': 'get',
	'data':data
  })
}
//学校注册register:school:add
export function getschoolregFn(data) {
  return request({
    'url': '/register/school',
    'method': 'post',
	'data':data
  })
}
//获取学校注册列表register:school:list
export function getschoollistFn(data) {
  return request({
    'url': '/register/school/list',
    'method': 'get',
	'data':data
  })
}
//获取学校注册详情register:school:query
export function getschoolDetFn(data) {
  return request({
    'url': '/register/school/'+data,
    'method': 'get',
  })
}
//学校注册信息修改register:school:edit
export function getschoolPutFn(data) {
  return request({
    'url': '/register/school/put',
    'method': 'post',
	'data':data
  })
}
//删除注册-学校register:school:remove
export function getschoolDelFn(data) {
  return request({
    'url': '/register/school/delete/'+data,
    'method': 'get',
  })
}



//老师注册register:teacher:add
export function getteacherregFn(data) {
  return request({
    'url': '/register/teacher',
    'method': 'post',
	'data':data
  })
}
// 获取老师注册列表register:teacher:list
export function getteacherlistFn(data) {
  return request({
    'url': '/register/teacher/list',
    'method': 'get',
	'data':data
  })
}
// 获取老师注册详情register:teacher:query
export function getteacherdetFn(data) {
  return request({
    'url': '/register/teacher/'+data,
    'method': 'get',
  })
}
// 修改老师注册列表register:teacher:edit
export function getteacherputFn(data) {
  return request({
    'url': '/register/teacher/put',
    'method': 'post',
	'data':data
  })
}
// 删除老师注册列表register:teacher:remove
export function getteacherdelFn(data) {
  return request({
    'url': '/register/teacher/delete/'+data,
    'method': 'get',
  })
}


//家长注册register:parents:add
export function getparentsregFn(data) {
  return request({
    'url': '/register/parents',
    'method': 'post',
	'data':data
  })
}
//家长新增学生register:student:add
export function getstudentregFn(data) {
  return request({
    'url': '/register/student',
    'method': 'post',
	'data':data
  })
}
// 删除新增学生register:student:remove
export function getstudentputdelFn(data) {
  return request({
    'url': '/register/student/put/delete',
    'method': 'get',
	'data':data
  })
}
// 获取家长注册列表register:student:list
export function getparentslistFn(data) {
  return request({
    'url': '/register/student/list',
    'method': 'get',
	'data':data
  })
}
// 获取家长注册详情register:student:query
export function getstudentdetFn(data) {
  return request({
    'url': '/register/student/'+data,
    'method': 'get',
  })
}
// 修改家长注册列表register:parents:edit
export function getstudentputFn(data) {
  return request({
    'url': '/register/student/put',
    'method': 'post',
	'data':data
  })
}
// 删除家长注册列表register:parents:remove
export function getstudentdelFn(data) {
  return request({
    'url': '/register/parents/delete/'+data,
    'method': 'get',
  })
}


// 通用注册
export function getRegisterFn(data) {
  return request({
    'url': '/register/common',
    'method': 'post',
	'data':data
  })
}



















// // 流程发起时获取下一节点
// export function getflowableNextRegFn(data) {
//   return request({
//     'url': '/flowable/task/nextFlowNodeByStart',
//     'method': 'post',
// 	data:data
//   })
// }
// // 发起流程
// export function getflowableRegFn(id,data) {
//   return request({
//     'url': '/flowable/definition/start/'+id,
//     'method': 'post',
// 	data:data
//   })
// }

// //获取流程定义列表
// export function getflowlistFn(data) {
//   return request({
//     'url': '/flowable/definition/list',
//     'method': 'get',
// 	'data':data
//   })
// }
// //获取自己发起的流程
// export function getflowMyFn(data) {
//   return request({
//     'url': '/flowable/task/myProcess',
//     'method': 'get',
// 	'data':data
//   })
// }
