import request from '@/utils/request'
// 新闻列表 xiaoYuan:notice:list
export function getNoticeList(data) {
  return request({
    'url': '/xiaoYuan/notice/list',
    'method': 'get',
	'data':data
  })
}
//详情
export function getNoticeDetail(data) {
  return request({
    'url': '/xiaoYuan/notice/'+data,
    'method': 'get',
  })
}
//新闻新增xiaoYuan:notice:add
export function getNoticeAdd(data) {
  return request({
    'url': '/xiaoYuan/notice',
    'method': 'post',
	'data':data
  })
}

//新闻修改xiaoYuan:notice:edit
export function getNoticeUpt(data) {
  return request({
    'url': '/xiaoYuan/notice/put',
    'method': 'post',
	'data':data
  })
}
//新闻删除xiaoYuan:notice:list
export function getNoticeDel(data) {
  return request({
    'url': '/xiaoYuan/notice/delete/'+data,
    'method': 'get',
  })
}
// 我的动态
export function getNoticeMy(data) {
  return request({
    'url': '/xiaoYuan/notice/myList',
    'method': 'get',
	data:data,
  })
}
// 我的收藏
export function getCollecttMy(data) {
  return request({
    'url': '/xiaoYuan/notice/collect',
    'method': 'get',
	data:data,
  })
}
//意见反馈 system:opinion:add
export function getopinionAdd(data) {
  return request({
    'url': '/system/opinion',
    'method': 'post',
	'data':data
  })
}
