import request from '@/utils/request'
// 课程列表 course:table:list
export function getCourselistFn(data) {
  return request({
    'url': '/course/table/list',
    'method': 'get',
	'data':data
  })
}
// 课程详情 course:table:list
export function getCoursedetFn(data) {
  return request({
    'url': '/course/table/'+data,
    'method': 'get',
  })
}
// 新增课程列表 course:table:add
export function getCourseAddFn(data) {
  return request({
    'url': '/course/table',
    'method': 'post',
	'data':data
  })
}
// 修改课程列表 course:table:edit
export function getCoursePutFn(data) {
  return request({
    'url': '/course/table/put',
    'method': 'post',
	'data':data
  })
}
// 删除课程列表 course:table:remove
export function getCourseDelFn(data) {
  return request({
    'url': '/course/table/delete/'+data,
    'method': 'get',
  })
}
// 课程时间 course:time:list
export function getTimelistFn(data) {
  return request({
    'url': '/course/time/list',
    'method': 'get',
	'data':data
  })
}
// 新增课程时间 course:time:add
export function getTimeAddFn(data) {
  return request({
    'url': '/course/time',
    'method': 'post',
	'data':data
  })
}
// 修改课程时间 course:time:edit
export function getTimePutFn(data) {
  return request({
    'url': '/course/time/put',
    'method': 'post',
	'data':data
  })
}
// 删除课程时间 course:time:remove
export function getTimeDelFn(data) {
  return request({
    'url': '/course/time/delete/'+data,
    'method': 'get',
  })
}


// 调课列表 course:change:list
export function getChangelistFn(data) {
  return request({
    'url': '/course/change/list',
    'method': 'get',
	'data':data
  })
}
// 调课通知 course:change:list
export function getChangetklistFn(data) {
  return request({
    'url': '/course/change/list/class',
    'method': 'get',
	'data':data
  })
}
// 调课详情 course:change:query
export function getChangeDetFn(data) {
  return request({
    'url': '/course/change/'+data,
    'method': 'get',
  })
}
// 新增调课 course:change:add
export function getChangeAddFn(data) {
  return request({
    'url': '/course/change',
    'method': 'post',
	'data':data
  })
}
// 修改调课 course:change:edit
export function getChangePutFn(data) {
  return request({
    'url': '/course/change/put',
    'method': 'post',
	'data':data
  })
}
// 删除调课 course:change:remove
export function getChangeDelFn(data) {
  return request({
    'url': '/course/change/delete/'+data,
    'method': 'get',
  })
}

//回复调课 course:time:remove
export function getChangereplyFn(data) {
  return request({
    'url': '/course/change/reply',
    'method': 'get',
	'data':data
  })
}



